summaryrefslogtreecommitdiff
path: root/app-admin/consul/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-admin/consul/files
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-admin/consul/files')
-rw-r--r--app-admin/consul/files/bootstrap.json.example4
-rw-r--r--app-admin/consul/files/consul.confd10
-rw-r--r--app-admin/consul/files/consul.initd27
-rw-r--r--app-admin/consul/files/consul.logrotated7
-rw-r--r--app-admin/consul/files/consul.service16
-rw-r--r--app-admin/consul/files/data-dir.json.example3
-rw-r--r--app-admin/consul/files/ui.json.example3
7 files changed, 70 insertions, 0 deletions
diff --git a/app-admin/consul/files/bootstrap.json.example b/app-admin/consul/files/bootstrap.json.example
new file mode 100644
index 000000000000..b7d573c0d2b3
--- /dev/null
+++ b/app-admin/consul/files/bootstrap.json.example
@@ -0,0 +1,4 @@
+{
+ "server": true,
+ "bootstrap_expect": 1
+}
diff --git a/app-admin/consul/files/consul.confd b/app-admin/consul/files/consul.confd
new file mode 100644
index 000000000000..b15e19c77013
--- /dev/null
+++ b/app-admin/consul/files/consul.confd
@@ -0,0 +1,10 @@
+# you can change the init script behavior by setting those parameters
+# - group (default: consul)
+# - pidfile (default: /run/consul/consul.pid)
+# - user (default: consul)
+
+# extra arguments for the consul agent
+command_args="-config-dir=/etc/consul.d"
+
+# upstream strongly recommends > 1
+GOMAXPROCS=2
diff --git a/app-admin/consul/files/consul.initd b/app-admin/consul/files/consul.initd
new file mode 100644
index 000000000000..b36db8aef13c
--- /dev/null
+++ b/app-admin/consul/files/consul.initd
@@ -0,0 +1,27 @@
+#!/sbin/openrc-run
+# Copyright 2015-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+description="consul agent"
+extra_started_commands="reload"
+export GOMAXPROCS=${GOMAXPROCS:-2}
+group=${group:-${RC_SVCNAME}}
+user=${user:-${RC_SVCNAME}}
+pidfile=${pidfile:-"/run/${RC_SVCNAME}.pid"}
+command="/usr/bin/${RC_SVCNAME}"
+command_args="agent ${command_args:-config-dir=/etc/consul.d}"
+command_background="true"
+start_stop_daemon_args="--user ${user} --group ${group} \
+ --stdout /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log \
+ --stderr /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log"
+stopsig="SIGINT"
+
+depend() {
+ need net
+}
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME}"
+ ${command} reload
+ eend $?
+}
diff --git a/app-admin/consul/files/consul.logrotated b/app-admin/consul/files/consul.logrotated
new file mode 100644
index 000000000000..ca958a5f5d05
--- /dev/null
+++ b/app-admin/consul/files/consul.logrotated
@@ -0,0 +1,7 @@
+/var/log/consul/consul.log {
+ missingok
+ size 5M
+ rotate 3
+ compress
+ copytruncate
+}
diff --git a/app-admin/consul/files/consul.service b/app-admin/consul/files/consul.service
new file mode 100644
index 000000000000..496fe4814789
--- /dev/null
+++ b/app-admin/consul/files/consul.service
@@ -0,0 +1,16 @@
+[Unit]
+Description=consul agent
+Requires=network-online.target
+After=network-online.target
+
+[Service]
+User=consul
+Environment=GOMAXPROCS=2
+Environment=CONSUL_AGENT_OPTS="-config-dir=/etc/consul.d"
+ExecStart=/usr/bin/consul agent $CONSUL_AGENT_OPTS
+Restart=on-failure
+KillSignal=SIGINT
+ExecReload=/usr/bin/consul reload
+
+[Install]
+WantedBy=default.target
diff --git a/app-admin/consul/files/data-dir.json.example b/app-admin/consul/files/data-dir.json.example
new file mode 100644
index 000000000000..af162113af62
--- /dev/null
+++ b/app-admin/consul/files/data-dir.json.example
@@ -0,0 +1,3 @@
+{
+ "data_dir": "/var/lib/consul"
+}
diff --git a/app-admin/consul/files/ui.json.example b/app-admin/consul/files/ui.json.example
new file mode 100644
index 000000000000..f8ce72f7753a
--- /dev/null
+++ b/app-admin/consul/files/ui.json.example
@@ -0,0 +1,3 @@
+{
+ "ui": true
+}